## com.sun.jersey.api.core
Interface Traceable

All Known Subinterfaces:
  HttpContext, HttpRequestContext, UriMatchResultContext, UriRuleContext, WebApplication

All Known Implementing Classes:
  AdaptingContainerRequest, CachedEntityContainerRequest, ContainerRequest

    public interface Traceable

Traceable support for checking if tracing is enabled and to add trace messages.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`boolean` | `isTracingEnabled()` Check if tracing is enabled.
`void` | `trace(java.lang.String message)` Add a trace message.

Method Detail

### isTracingEnabled

    boolean isTracingEnabled()

  Check if tracing is enabled.

  Returns:
    true if tracing is enabled, otherwise false.

### trace

    void trace(java.lang.String message)

  Add a trace message.

  A trace message will be added if `isTracingEnabled()` returns true and tracing contraints are satisfied.

  Parameters:
    `message` - the trace message to add.

Copyright © 2017 Oracle Corporation. All Rights Reserved.